%define upstream_name    Class-AutoClass
%define upstream_version 1.55

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Yet another OO helper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Hash::AutoHash::Args) >= 1.100.0
BuildRequires: perl(IO::Scalar) >= 2.100.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::Deep) >= 0.98.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This perl module brings the following advantages:
- get and set methods for simple attributes can be automatically
  generated
- argument lists are handled as described below
- the protocol for object creation and initialization is close to
  the 'textbook' approach generally suggested for object-oriented Perl
  (see below)
- object initialization is handled correctly in the presence of multiple
  inheritance

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
# %make test

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.550.0-2.mga3
+ Revision: 364271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.550.0-1.mga3
+ Revision: 341926
- update to 1.55

* Fri Jan 21 2011 jquelin <jquelin> 1.540.0-1.mga1
+ Revision: 29876
- mageia rebuild
- imported package perl-Class-AutoClass

